Closed Bug 1197739 Opened 4 years ago Closed 4 years ago

[Built-in&System Keyboard]Long press any key on keyboard, the keyboard will automatically be hidden.

Categories

(Core :: DOM: Selection, defect)

ARM
Gonk (Firefox OS)
defect
Not set

Tracking

()

VERIFIED FIXED
mozilla43
blocking-b2g 2.5+
Tracking Status
firefox43 --- fixed
b2g-v2.2 --- unaffected
b2g-master --- verified

People

(Reporter: yulan.zhu, Assigned: TYLin)

References

(Blocks 1 open bug)

Details

(Keywords: regression, Whiteboard: [2.5-aries-test-run-1])

Attachments

(4 files)

Attached file AriesKK_logcat.txt
[1.Description]:
[AriesKK v2.5][FlameKK v2.5][Built-in&System Keyboard]Long press any key on keyboard, the keyboard will automatically be hided.
See attachment:AriesKK_logcat.txt and AriesKK_video.3gp
Occurrence time:11:29

[2.Testing Steps]: 
1.Launch Contacts.
2.Tap the "+" button and enter new contact view.
3.Tap one input field
4.Long press any key on keyboard.

[3.Expected Result]: 
4.The keyboard should not be hidden.

[4.Actual Result]: 
4.The keyboard will automatically be hidden.

[5.Reproduction build]: 
Device:FlameKK  v2.2 build (Unaffected)

Build ID               20150823032504
Gaia Revision          335cd8e79c20f8d8e93a6efc9b97cc0ec17b5a46
Gaia Date              2015-08-14 19:06:41
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/1effc4cb6414
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150823.065101
Firmware Date          Sun Aug 23 06:51:12 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: FlameKK v2.5 build (Affected)
Build ID               20150823150207
Gaia Revision          cddb9f610cbe03d0ca39d81bbdce46a0fca841ab
Gaia Date              2015-08-23 03:34:38
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/4ccdd06e51d7209ba429196df7cab97bf66962db
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150823.184539
Firmware Date          Sun Aug 23 18:45:51 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device:AriesKK v2.5 build (Affected)
Build ID               20150823221817
Gaia Revision          cddb9f610cbe03d0ca39d81bbdce46a0fca841ab
Gaia Date              2015-08-23 03:34:38
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/4ccdd06e51d7209ba429196df7cab97bf66962db
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150823.214038
Firmware Date          Sun Aug 23 21:40:46 UTC 2015
Bootloader             s1

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
Free Test
Attached video AriesKK_video.3gp
Inconsistent behavior.
It is definitely a regression bug.
QA Contact: ddixon
I saw this today too. Let's find the regressed bug and back it out. I thought we have protected this with Gip tests already?
blocking-b2g: --- → 2.5+
Mozilla Inbound Regression Window

Last Working

Device: Flame Master
BuildID: 20150820183441
Gaia: c6705f739fb605031eb2a0b943ba55c64bee5a03
Gecko: 4fd3f9fdf6c252a7538e6317222ab2148aa0cd5c
Version: 43.0a1 (Master) 
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:43.0) Gecko/43.0 Firefox/43.0

First Broken

Device: Flame Master
BuildID: 20150820193537
Gaia: c6705f739fb605031eb2a0b943ba55c64bee5a03
Gecko: ab8370de21b7849b1935a3ab209166a27a769684
Version: 43.0a1 (Master) 
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:43.0) Gecko/43.0 Firefox/43.0

Last Working Gaia and First Broken Gecko
Issue DOES occur here: 
Gaia: c6705f739fb605031eb2a0b943ba55c64bee5a03
Gecko: ab8370de21b7849b1935a3ab209166a27a769684

Last Working Gecko and First Broken Gaia
Issue DOES NOT occur here: 
Gaia: c6705f739fb605031eb2a0b943ba55c64bee5a03
Gecko: 4fd3f9fdf6c252a7538e6317222ab2148aa0cd5c

Mozilla Inbound Window (Gecko)
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=4fd3f9fdf6c252a7538e6317222ab2148aa0cd5c&tochange=ab8370de21b7849b1935a3ab209166a27a769684

Possible Cause:

Bug 1195672 - Revise AccessibleCaret's long-press logic
Blocks: 1195672
QA Whiteboard: [QAnalyst-Triage?]
Flags: needinfo?(jmercado)
Ting-Yu can you take a look at this please?  The changes for Bug 1195672 seem to have caused it.
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(jmercado) → needinfo?(tlin)
Sorry about the regression. We should not change focus unless the target frame is selectable. Working on a patch to fix that.
Assignee: nobody → tlin
Flags: needinfo?(tlin)
Component: Gaia::Keyboard → Selection
Product: Firefox OS → Core
Version: unspecified → Trunk
Blocks: AccessibleCaret
No longer blocks: 1195672
Depends on: 1195672
Bug 1197739 - Do not change focus too early unless the frame is selectable. r=roc

Split |ChangeFocus| into two separate functions: |GetFocusableFrame| and
|ChangeFocusToOrClearOldFocus|.

We should only change the focus to the focusable frame until
AccessibleCaretManager is going to:

1) Dispatch CaretStateChangedEvent on an empty editable field.
2) Select a word on a selectable frame.
Attachment #8653732 - Flags: review?(roc)
Thanks for the quick turnaround. You don't seem to work on the right timezone...
It probably make sense to invest how Gecko can create it's own test case for this. Gaia integration test works but it's not the best place according to testing pyramid.
You're right. It'll be better to create a test case in gecko. However, the long tap event on the device is fired by async-pan-zoom. Sadly, the marionette test on b2g emulator does not fire the long tap event AFAIK, and aysnc-pan-zoom on desktop doesn't even implement the long tap event.
Comment on attachment 8653732 [details]
MozReview Request: Bug 1197739 - Do not change focus too early unless the frame is selectable. r=roc

https://reviewboard.mozilla.org/r/17495/#review15659
Keywords: checkin-needed
(In reply to Ting-Yu Lin [:TYLin] (UTC+8) from comment #10)
> You're right. It'll be better to create a test case in gecko. However, the
> long tap event on the device is fired by async-pan-zoom. Sadly, the
> marionette test on b2g emulator does not fire the long tap event AFAIK, and
> aysnc-pan-zoom on desktop doesn't even implement the long tap event.

This is something worthy of filing a bug to track down ...
Flags: in-testsuite?
Flags: in-testsuite?
(In reply to Tim Guan-tin Chien [:timdream] (slow response; please ni? to queue) from comment #9)
> It probably make sense to invest how Gecko can create it's own test case for
> this. Gaia integration test works but it's not the best place according to
> testing pyramid.

Correction: per gaia pull request test results in bug 1199163 comment 2, Gaia integration test *cannot* assert this regression. So this code remain unprotected.
Blocks: 1199625
https://hg.mozilla.org/mozilla-central/rev/4f2822bbbdb2
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla43
Flags: needinfo?(yulan.zhu)
Keywords: verifyme
This issue is verified as pass on latest AriesKK&FlameKK v2.5 build by the same STR in comment 0.
Actual Result:
Long press the keys on keyboard, the keyboard is not hidden.

See attachment:Verify1_AreisKK_v2.5.3gp.
Reproducing rate:0/10

Device: FlameKK v2.5 build (Pass)
Build ID               20150905150219
Gaia Revision          03be7d8918bed58c92a40bba211bbbc97a0e516a
Gaia Date              2015-09-04 11:56:30
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/139446daedab3d00b9f0faba25e1e82191c8c8d1
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150905.183746
Firmware Version       v18D v4
Firmware Date          Sat Sep  5 18:38:03 EDT 2015

Device: AriesKK v2.5 build (Pass)
Build ID               20150905112803
Gaia Revision          03be7d8918bed58c92a40bba211bbbc97a0e516a
Gaia Date              2015-09-04 11:56:30
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/139446daedab3d00b9f0faba25e1e82191c8c8d1
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150905.105729
Firmware Date          Sat Sep  5 10:57:37 UTC 2015
Bootloader             s1
Flags: needinfo?(yulan.zhu)
Status: RESOLVED → VERIFIED
Keywords: verifyme
QA Whiteboard: [QAnalyst-Triage+] → [QAnalyst-Triage+][MGSEI-Triage+]
You need to log in before you can comment on or make changes to this bug.